<?php

/*
  Plugin Name: Scheduled Post Calendar
  Plugin URI: http://eduardostuart.com.br/scheduled-post-calendar
  Description: Show a calendar with scheduled posts (wp-admin)
  Version: 2.1.2
  Author: Eduardo Stuart
  Author URI: http://facebook.com/eduardostuart
  License: GPLv2 or later
  License URI: http://www.gnu.org/licenses/gpl-2.0.html
 */

define('SCHEDULED_POST_CALENDAR_VERSION', '2.1.2');
define('SCHEDULED_POST_CALENDAR_PLUGIN_URL', plugin_dir_url(__FILE__));
define('SCHEDULED_POST_CALENDAR_LANG', 'scheduled-posts-calendar');
define('SCHEDULED_DIR', dirname(__FILE__) . '/');

if (!function_exists('add_action')) {
    die();
}


load_plugin_textdomain(SCHEDULED_POST_CALENDAR_LANG, false,  dirname( plugin_basename( __FILE__ ) ).'/lang/');


require_once SCHEDULED_DIR . 'admin/ScheduledCalendar.php';


$month = isset($_REQUEST['month']) ? $_REQUEST['month'] : date('n');
$year = isset($_REQUEST['year']) ? $_REQUEST['year'] : date('Y');

$ScheduledCalendar = new ScheduledCalendar($month, $year);

add_action('admin_init', array($ScheduledCalendar, 'init'));
add_action('admin_menu', array($ScheduledCalendar, 'addOptionsMenu'));